<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>H-Index</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="H-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;<a name="_H_">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#handle(org.apache.http.HttpRequest,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext)">handle(HttpRequest, HttpResponse, HttpContext)</a></span> - Method in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMRequestHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html#handleFile(java.lang.String,%20java.io.InputStream)">handleFile(String, InputStream)</a></span> - Method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.BrowseTarFileHandler.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.BrowseTarFileHandler</a></dt>
<dd>
<div class="block">The handler that will be called at every step of the browsing process</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGCMService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest(HttpRequest, String, HttpEntity, HttpResponse, HttpContext, StringBuilder)</a></span> - Method in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a></dt>
<dd>
<div class="block">Handle a single request</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest(HttpRequest, String, HttpEntity, HttpResponse, HttpContext, StringBuilder)</a></span> - Method in class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html" title="class in fr.inria.alpage.frmgcm.services">CMAWebService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CorpusService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest(HttpRequest, String, HttpEntity, HttpResponse, HttpContext, StringBuilder)</a></span> - Method in class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services">CorpusService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest(HttpRequest, String, HttpEntity, HttpResponse, HttpContext, StringBuilder)</a></span> - Method in class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/DPathQueryMacroLibService.html" title="class in fr.inria.alpage.frmgcm.services">DPathQueryMacroLibService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/SentenceCollectionService.html#handleRequest(org.apache.http.HttpRequest,%20java.lang.String,%20org.apache.http.HttpEntity,%20org.apache.http.HttpResponse,%20org.apache.http.protocol.HttpContext,%20java.lang.StringBuilder)">handleRequest(HttpRequest, String, HttpEntity, HttpResponse, HttpContext, StringBuilder)</a></span> - Method in class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/SentenceCollectionService.html" title="class in fr.inria.alpage.frmgcm.services">SentenceCollectionService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html#hasNext()">hasNext()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/AppMain.html#havePermission(java.lang.String,%20java.lang.String,%20java.lang.String)">havePermission(String, String, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/AppMain.html" title="class in fr.inria.alpage.frmgcm">AppMain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#home">home</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/AppMain.User.html#hostname">hostname</a></span> - Variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm">AppMain.User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">HTTPServer</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></dt>
<dd>
<div class="block">Basic, yet fully functional and spec compliant, HTTP/1.1 file server.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.html#HTTPServer()">HTTPServer()</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">HTTPServer.RequestListenerThread</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></dt>
<dd>
<div class="block">This class encapsulate the thread that will listen to the port (default is defined in <a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm"><code>Configuration</code></a>) used for the webservices</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html#HTTPServer.RequestListenerThread(int,%20org.apache.http.protocol.HttpService,%20javax.net.ssl.SSLServerSocketFactory)">HTTPServer.RequestListenerThread(int, HttpService, SSLServerSocketFactory)</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer.RequestListenerThread</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">HTTPServer.WorkerThread</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></dt>
<dd>
<div class="block">This class is used to handle single connexion threads</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html#HTTPServer.WorkerThread(org.apache.http.protocol.HttpService,%20org.apache.http.HttpServerConnection)">HTTPServer.WorkerThread(HttpService, HttpServerConnection)</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer.WorkerThread</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html#httpService">httpService</a></span> - Variable in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer.RequestListenerThread</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html#httpservice">httpservice</a></span> - Variable in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer.WorkerThread</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
